"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const commands = {};
/**
 * Open URL scheme on Simulator. iOS will automatically try
 * to find a matching application, which supports the given scheme.
 * It is required that Simulator is in _booted_ state.
 *
 * @this {import('../simctl').Simctl}
 * @param {string} url - The URL scheme to open, for example http://appiom.io
 *                       will be opened by the built-in mobile browser.
 * @return {Promise<import('teen_process').TeenProcessExecResult>} Command execution result.
 * @throws {Error} If the corresponding simctl subcommand command
 *                 returns non-zero return code.
 * @throws {Error} If the `udid` instance property is unset
 */
commands.openUrl = async function openUrl(url) {
    return await this.exec('openurl', {
        args: [this.requireUdid('openurl'), url],
    });
};
exports.default = commands;
//# sourceMappingURL=openurl.js.map